at.chipkarte.client.elgatsv.soap

## Interface IElgatsvService

-     public interface IElgatsvService

  Dieses Service stellt die Funktionalitäten der ELGA Testszenarienverwaltung zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `abfragenSzenarien(String dialogId)` Diese Funktion dient dem Abrufen der IDs der verfügbaren EMED Szenarien.
    `void` | `loeschenTestdaten(String dialogId, String cardToken)` Es werden alle zu der Person der Schulungs e-card gehörenden eMedikationsdaten gelöscht.
    `SzenarioData` | `zuordnenSzenario(String dialogId, String emedSzenarioId, String cardToken)` Diese Funktion ordnet der gesteckten Schulungskarte ein bestimmtes EMED-Schulungsszenario zu.

- - ### Method Detail

    - #### abfragenSzenarien

          String[] abfragenSzenarien(String dialogId)
                              throws ElgatsvException,
                                     AccessException,
                                     DialogException,
                                     ServiceException

      Diese Funktion dient dem Abrufen der IDs der verfügbaren EMED Szenarien. Die IDs werden zum anschließenden Zuordnen der Szenarien benötigt.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Der Dialog ist im Online-Modus.
      - Der Vertragspartner besitzt das Recht `ELGATSV_CORE`.

      Laufzeitgruppe: Mittel

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
      Returns:
        Liste der eindeutigen Bezeichner der verfügbaren EMED-Szenarien oder null, wenn keine Schulungsszenarien verfügbar sind.
        Format: maximal 10-stellig
      Throws:
        `ElgatsvException` - `TECHNICAL_COMMUNICATION_ERROR`
        `AccessException` - `MISSING_ELGATSV_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### zuordnenSzenario

          SzenarioData zuordnenSzenario(String dialogId,
                                        String emedSzenarioId,
                                        String cardToken)
                                 throws ElgatsvInvalidParameterException,
                                        ElgatsvException,
                                        AccessException,
                                        DialogException,
                                        ServiceException

      Diese Funktion ordnet der gesteckten Schulungskarte ein bestimmtes EMED-Schulungsszenario zu.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Der Dialog ist im Online-Modus.
      - Es wurde mit der e-card ein CardToken erzeugt.
      - Der Vertragspartner besitzt das Recht `ELGATSV_CORE`.

      Laufzeitgruppe: Mittel

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `emedSzenarioId` - Eindeutige Id des zuzuordnenden Szenarios.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Muss.
      Returns:
        Daten des zugehörigen Szenarios
      Throws:
        `ElgatsvInvalidParameterException` - `NO_SCHULUNGSECARD`, `EMED_SZENARIOID_REQUIRED`, `EMED_SZENARIOID_WRONG_FORMAT`
        `ElgatsvException` - `TECHNICAL_COMMUNICATION_ERROR`, `GDA_DATA_PROBLEM`, `SCENARIO_NOT_AVAILABLE`
        `AccessException` - `MISSING_ELGATSV_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_REQUIRED`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### loeschenTestdaten

          void loeschenTestdaten(String dialogId,
                                 String cardToken)
                          throws ElgatsvInvalidParameterException,
                                 ElgatsvException,
                                 AccessException,
                                 DialogException,
                                 ServiceException

      Es werden alle zu der Person der Schulungs e-card gehörenden eMedikationsdaten gelöscht.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Der Dialog ist im Online-Modus.
      - Es wurde mit der e-card ein CardToken erzeugt.
      - Der Vertragspartner besitzt das Recht `ELGATSV_CORE`.

      Laufzeitgruppe: Mittel

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Muss.
      Throws:
        `ElgatsvInvalidParameterException` - `NO_SCHULUNGSECARD`
        `ElgatsvException` - `TECHNICAL_COMMUNICATION_ERROR`
        `AccessException` - `MISSING_ELGATSV_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_REQUIRED`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`